---
title: RTP/FedNow rail
slug: apis/lending/loan-funding-payment-rails/rtp-fednow-rail
description: Instant rails are sent as part of funding instructions (use PUT /FundingInfo with rtp/instantpayment rail fields).
docTags: 
createdAt: 2024-08-14T11:51:23.151Z
---

:::hint{type="warning"}
**IMPORTANT**
The RTP rail in Cross River is now called Instant Payments.

In Arix, the `RailType` Enum is still called RTP.
Instant Payments uses one of the 2 network platforms to send a payment directly to the account of a borrower, vendor, or creditor.
:::

## Immediate fund transfers

**Instant Payments** is a way for MPLs to send immediate fund transfers at any time of the day, including weekends and holidays.

Cross River uses two different Instant Payments network platforms: RTP via The Clearing House (TCH), and the Federal Reserve's FedNow platform.

- [RTP® via The Clearing House](https://www.theclearinghouse.org/payment-systems/rtp). The Clearing House (TCH) provides Instant Payments using its RTP® system. All federally insured US depository institutions that participate in the RTP network can send payments from and receive payments to their accounts 24/7.
- [FedNow®](http://frbservices.org/financial-services/fednow). The Federal Reserve's instant payment infrastructure allows financial institutions of every size across the U.S. to provide safe and efficient 24/7 instant payment services.

Arix uses [network interoperability](docId:7HeOa4-BINjvx0kSdLKD3) to deliver the payment to the creditor as efficiently and effectively as possible. The network used for sending the payment depends on the routing number specified, and on availability. The payment response includes the network platform the payment has been processed through.

:::hint{type="info"}
All transactions occur in real-time and the payments are irrevocable.
:::

## Request body example

```json
{
   "FundingInfoUpdate":{
      "Rails":[
         {
            "RailType":"RTP",
            "Priority":1,
            "Amount":900,
            "RTPFields":{
               "SubjectRouting":"021214891",
               "SubjectAccount":"9999999999",
               "SubjectName":"Test"
            }
         }
      ]
   }
}
```

## Request parameters

| Attribute                          | Description                                                                                                                                                                 |
| ---------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `SubjectRouting`<br />string       | Receiving bank's routing number<br />The value entered for this field is validated up front and it must be 9 digits long<br /><font color="#eb144c">Required </font><br />  |
| `SubjectName`<br />string          | Name on the `SubjectAccount`<br />Limited to 22 characters<br /><font color="#eb144c">Required </font><br />                                                                |
| `SubjectAccount`<br />string<br /> | Account number of the `SubjectAccount`<br />Limited to 17 digits<br /><font color="#eb144c">Required </font><br />                                                          |
| `AdditionalDescription`            | A description of the payment<br />Limited to 140 characters<br /><font color="#0c121d">Optional </font>                                                                     |

## RTP payment queuing for offline participants

Although RTP participating banks have an SLA of 99.9% uptime, from time to time, a receiving bank will be unavailable to transact. This can be due to routine maintenance or unknown technical issues that are resolvable with time.

CR will queue the payment until the receiving bank becomes responsive or for up to 3 days. The RTP rail will be rejected if the payment hasn't been completed within 3 days.

If you'd like to cancel the rail before that, our operations team can cancel the payment for you.

## Reject simulation on sandbox

You can simulate receiving a reject response on the RTP rail.

Add the **reject\:prefix** to the `SubjectName` as seen on line 11.

```json
{
   "FundingInfoUpdate":{
      "Rails":[
         {
            "RailType":"RTP",
            "Priority":1,
            "Amount":900,
            "RTPFields":{
               "SubjectRouting":"021214891",
               "SubjectAccount":"9999999999",
               "SubjectName":"reject:Penny Pinchington"
          }
       }
    ]
 }
}

```

